Bug 247299 - mail/gmime30: Add VALA option
Summary: mail/gmime30: Add VALA option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Gleb Popov
URL:
Keywords: feature
Depends on:
Blocks: 248509
  Show dependency treegraph
 
Reported: 2020-06-16 09:07 UTC by Bertram Scharpf
Modified: 2020-08-08 01:08 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback? (gnome)


Attachments
Patch with vala option (1.25 KB, patch)
2020-06-16 09:07 UTC, Bertram Scharpf
no flags Details | Diff
Patch with options helper syntax (1.18 KB, patch)
2020-06-18 18:58 UTC, Bertram Scharpf
no flags Details | Diff
Gmime30 patch with vala option and vala default (1.20 KB, patch)
2020-06-26 19:11 UTC, Bertram Scharpf
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bertram Scharpf 2020-06-16 09:07:54 UTC
Created attachment 215602 [details]
Patch with vala option

On a non-graphic system I have installed +neomutt+. This pulls +gmime30+ what now tries to install +vala+. I do not want this.

I propose an option to deactivate the Vala lib bindings.

I tested my patch on the non-graphical system and on a graphical one as well.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-16 09:15:20 UTC
Thank you for the report and patch Bertram.

The .if ${PORT_OPTIONS:MVALA} block should be converted to the options helper syntax

VALA_BUILD_DEPENDS=
VALA_CONFIGURE_OFF

But I would also try just:

VALA_BUILD_DEPENDS=foo
VALA_CONFIGURE_ENABLE=vala (configure needs to support --disable-vala, which some dont)
Comment 2 Bertram Scharpf 2020-06-18 18:58:43 UTC
Created attachment 215745 [details]
Patch with options helper syntax

Does this new patch please you more?

I just copied it from +mail/gmime26+ and wonder why this was removed in version 30.
Comment 3 Ting-Wei Lan 2020-06-23 00:37:43 UTC
(In reply to Bertram Scharpf from comment #2)
Can you keep vala enabled by default, so the existing behavior isn't changed?
Comment 4 Bertram Scharpf 2020-06-26 19:11:41 UTC
Created attachment 215967 [details]
Gmime30 patch with vala option and vala default

Next try...
Comment 5 Bertram Scharpf 2020-07-06 02:36:05 UTC
Reminder.
Comment 6 Bertram Scharpf 2020-07-11 08:20:00 UTC
Reminder.
Comment 7 Bertram Scharpf 2020-07-14 03:46:58 UTC
Last reminder. The next will be another bug report about the bug report system.
Comment 8 commit-hook freebsd_committer 2020-08-07 11:46:05 UTC
A commit references this bug:

Author: arrowd
Date: Fri Aug  7 11:45:50 UTC 2020
New revision: 544324
URL: https://svnweb.freebsd.org/changeset/ports/544324

Log:
  mail/gmime30: Introduce VALA option to make it possible to disable vala bindings.

  PR:		247299
  Submitted by:	Bertram Scharpf <software@bertram-scharpf.de>
  Reviewed by:	koobs
  Approved by:	gnome (maintainer timeout)

Changes:
  head/mail/gmime30/Makefile
  head/mail/gmime30/pkg-plist
Comment 9 Gleb Popov freebsd_committer 2020-08-07 11:50:17 UTC
Thank you for your contribution.
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-08 01:08:41 UTC
^Triage: Assign to committer that resolved